%define epoch 1
%define _disable_libtoolize 1

Summary:	An ICAP module server coded in C
Name:		c-icap-modules-extra
Version:	0.2.4
Release:	%mkrel 2
License:	GPL
Group:		System/Servers
URL:		http://sourceforge.net/projects/c-icap/
Source0:	http://prdownloads.sourceforge.net/c-icap/c_icap_modules-%{version}.tar.gz
#Patch0:		c_icap_modules-0.1.6-db5.patch
#Patch1:		c_icap_modules-0.2.1-templates.patch
BuildRequires:	clamav-devel
BuildRequires:  c-icap-devel
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  dos2unix
BuildRequires:	db-devel 
BuildRequires:	tommath-devel
Requires:	c-icap-server

Epoch:		%{epoch}

%description
An ICAP modules server coded in C


%prep
%setup -q -n c_icap_modules-%{version}
#patch0 -p0

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
# find -type f | grep -v "\.gif" | grep -v "\.png" | grep -v "\.jpg" | xargs dos2unix -U

chmod 644 AUTHORS COPYING 

#fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.in

%build
autoreconf -vfi

export LIBS="-lpthread -ldl"

%configure2_5x \
    --disable-static \
    --enable-shared \
    --with-clamav=%{_prefix} \
    --with-c-icap=%{_prefix} \
    --with-bdb

perl -pi -e 's|(srv_clamav_la_LIBADD =  -L)/usr/lib|$1%{_libdir}|;'    \
        services/clamav/Makefile

%make

%install
%{__mkdir_p} %{buildroot}/%{_sysconfdir}/icapd
%makeinstall_std CONFIGDIR=/etc/icapd


# cleanup
rm -f %{buildroot}%{_libdir}/c_icap/*.*a
rm -f %{buildroot}%{_libdir}/*.*a

%files 
%doc AUTHORS COPYING 
%dir %{_libdir}/c_icap
#dir %{_sysconfdir}
%dir %{_sysconfdir}/icapd
%attr(0755,root,root) %{_libdir}/c_icap/*.so
%config(noreplace) %{_sysconfdir}/icapd/virus_scan.conf
%config(noreplace) %{_sysconfdir}/icapd/srv_url_check.conf
%{_sysconfdir}/icapd/srv_url_check.conf.default
%{_sysconfdir}/icapd/virus_scan.conf.default
%{_bindir}/c-icap-mods-sguardDB
%{_datadir}/c_icap/templates/srv_url_check/en/*
%{_datadir}/c_icap/templates/virus_scan/en/*
%{_mandir}/man8/c-icap-mods-sguardDB.8.xz



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1:0.2.4-2.mga3
+ Revision: 347283
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 dlucio <dlucio> 1:0.2.4-1.mga3
+ Revision: 337645
- 0.2.4
- P0 merged upstream

* Mon Dec 31 2012 wally <wally> 1:0.2.1-2.mga3
+ Revision: 336540
- fix build with new automake 1.13

* Sun Sep 09 2012 dlucio <dlucio> 1:0.2.1-1.mga3
+ Revision: 291320
- 0.2.1

* Tue Jul 31 2012 fwang <fwang> 1:0.1.6-6.mga3
+ Revision: 276429
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 1:0.1.6-5.mga3
+ Revision: 274880
- recognize db5

* Tue Mar 27 2012 dlucio <dlucio> 1:0.1.6-5.mga2
+ Revision: 227168
- bump release
- lets take off db5 specific require, now system choose
- not using dos2unix by now
- compillling agains new clamav
- thomath to BR
- 0.1.6
  some specs to keep compatibility between mandriva and mageia

* Tue Apr 19 2011 pterjan <pterjan> 1:0.1.5-1.mga1
+ Revision: 88083
- Update to 0.1.5

* Thu Mar 03 2011 ennael <ennael> 1:0.1.3-1.mga1
+ Revision: 63788
- clean spec file

  + dlucio <dlucio>
    - imported package c-icap-modules-extra

